<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>Camera()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#a66a362ac823cacd6d97af25d735f0dc6">framework::sensor::Camera</a>
</li>
<li>ChannelValue()
: <a class="el" href="classframework_1_1sensor_1_1_radio_receiver.html#a7d2d4729d7d8e849550cb403d2d2127b">framework::sensor::RadioReceiver</a>
</li>
<li>CheckBox()
: <a class="el" href="classframework_1_1gui_1_1_check_box.html#ac08452e17eba695849f9d79b02981dde">framework::gui::CheckBox</a>
</li>
<li>Childs()
: <a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">framework::core::Object</a>
</li>
<li>Clicked()
: <a class="el" href="classframework_1_1gui_1_1_push_button.html#a0713abc608ae0e1985654a12b802016f">framework::gui::PushButton</a>
</li>
<li>Col()
: <a class="el" href="classframework_1_1gui_1_1_layout_position.html#a584a4f9c44b8dccdf03ba0fe492ebd2f">framework::gui::LayoutPosition</a>
</li>
<li>Cols()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a16b419f581afa7a562842af5759ba9e6">framework::core::cvmatrix</a>
, <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#ac9b425575745a7b3c32554f2ecc16396">framework::core::cvmatrix_descriptor</a>
</li>
<li>ComboBox()
: <a class="el" href="classframework_1_1gui_1_1_combo_box.html#a881327c1b579ee3f10a3f7bf854c4396">framework::gui::ComboBox</a>
</li>
<li>ComputeCustomThrust()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a01fa7edfd5d5a89a11226a46d4593fb3">framework::meta::UavStateMachine</a>
</li>
<li>ComputeCustomTorques()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a3418f1f46c9729b2bc07b9719854e805">framework::meta::UavStateMachine</a>
</li>
<li>ComputeDefaultThrust()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#ae0b4d4a8dbc36ad38290ecfb9470beb3">framework::meta::UavStateMachine</a>
</li>
<li>ComputeDefaultTorques()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a977cd10d9c53167f920be254331fbfd2">framework::meta::UavStateMachine</a>
</li>
<li>ComputeRotation()
: <a class="el" href="classframework_1_1core_1_1_one_axis_rotation.html#abcb7eecbb8e33c56f95a8f1fea86a1a9">framework::core::OneAxisRotation</a>
</li>
<li>ConditionVariable()
: <a class="el" href="classframework_1_1core_1_1_condition_variable.html#accfccb593f013d65198bebb7cddaf8c4">framework::core::ConditionVariable</a>
</li>
<li>CondSignal()
: <a class="el" href="classframework_1_1core_1_1_condition_variable.html#a5a949eb6aae721403fc6a26ece04b6bd">framework::core::ConditionVariable</a>
</li>
<li>CondWait()
: <a class="el" href="classframework_1_1core_1_1_condition_variable.html#ac4ece7fa807a2e959011acb5037fd0b8">framework::core::ConditionVariable</a>
</li>
<li>CondWaitUntil()
: <a class="el" href="classframework_1_1core_1_1_condition_variable.html#a1546e2d86229b83f8c7e1593201a3f4b">framework::core::ConditionVariable</a>
</li>
<li>Conjugate()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#a9e201925afd5d8777040e162beb28454">framework::core::Quaternion</a>
</li>
<li>Connect()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a1c67587bb95766681b87b86fbc672459">framework::core::ConnectedSocket</a>
, <a class="el" href="classframework_1_1core_1_1_tcp_socket.html#a73910fdee66f7743d1a540dc2c5caaa2">framework::core::TcpSocket</a>
, <a class="el" href="classframework_1_1core_1_1_udt_socket.html#a068ef83296561083db1a11179c1c18e7">framework::core::UdtSocket</a>
</li>
<li>ConnectedSocket()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a695579876c4629165c4b19eb0e484f81">framework::core::ConnectedSocket</a>
</li>
<li>ConnectionLost()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad2996266061e7f3062347ff71e605617">framework::core::FrameworkManager</a>
</li>
<li>ControlLaw()
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#aec0169bdd9934aea32f95f009e282eec">framework::filter::ControlLaw</a>
</li>
<li>ConvertSatFromDegToRad()
: <a class="el" href="classframework_1_1filter_1_1_nested_sat.html#a4d8d13b3c4342af3c03b29a81f84a85c">framework::filter::NestedSat</a>
</li>
<li>CopyDatas()
: <a class="el" href="classframework_1_1gui_1_1_map.html#a6b6d4accf159f2d09df03c9b7ea9ccca">framework::gui::Map</a>
, <a class="el" href="classframework_1_1gui_1_1_send_data.html#a9995c7d9fa7f3fca5122f4dd1b5240ba">framework::gui::SendData</a>
</li>
<li>CopyFrom()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#ad5d522e9bdb3e197c808e8d157c4d703">framework::core::GeoCoordinate</a>
</li>
<li>CurrentIndex()
: <a class="el" href="classframework_1_1gui_1_1_combo_box.html#a32c3ed691edd2bf3e2076dc845b2da72">framework::gui::ComboBox</a>
</li>
<li>cvimage()
: <a class="el" href="classframework_1_1core_1_1cvimage.html#aedd2d705d07a7f5e21f63be9dce7caa5">framework::core::cvimage</a>
</li>
<li>cvmatrix()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a7cd0696287c3c94e49b43544e0f62b1f">framework::core::cvmatrix</a>
</li>
<li>cvmatrix_descriptor()
: <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a0bbfc5a3f6810c7c812c13442d428c8f">framework::core::cvmatrix_descriptor</a>
</li>
<li>CvtColor()
: <a class="el" href="classframework_1_1filter_1_1_cvt_color.html#a822b1378629697f79281ec5ccc36092a">framework::filter::CvtColor</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
